import Taro, { Component } from '@tarojs/taro';
import './index.scss'
import { AtDivider, AtList, AtListItem, AtGrid, AtButton } from 'taro-ui'

import achievePhone from '@components/achievePhone'
import { checkinDetails, checkinActive } from '@services/checkin'

// import { checkinActive } from '@services/checkin'

export default class checkin extends Component {

  state = {
    id: '',
    // ischeck:''
    // isLogin: false,
    // user: {},
    // isAgent: false,//经纪人
    // consultant: false,//置业顾问
    // tourist: false,//普通用户
    data: {},
  }

  componentWillMount () {
    console.log(this.$router.params, '22222')

    const { id, type } = this.$router.params
    this.setState({
      id: id
    })
    console.log(id, type)
    this.getcheckinDetails(id, type)
    // this.getcheckinDetails()

  }
  // dynamicId
  getcheckinDetails (id, type) {
    console.log('1111')
    // const aid = '39a0e51e6fea9cb758abed08dd7fb16b'
    Taro.showLoading()
    checkinDetails(id, type).then(res => {
      Taro.hideLoading()
      this.setState({
        data: res
      })
      
    })
    // activityStatus
  }

  checkinActive () {

    //  alert('签到成功')
    const enlistId = this.state.data.enlist.enlistId
    Taro.showLoading()
    checkinActive(enlistId).then(res => {
      Taro.hideLoading()
      Taro.navigateTo({
        url: '/pages/checkin/checkinsuccess/index?addPoints=' + res.addPoints,
      
      })
    }).catch((err) => {
      console.log('签到失败')
      // Taro.navigateTo({
      //   url: '/pages/checkin/checkinsuccess/index'
      // })
    })


  }
  // toshop () {
  //   wx.switchTab({
  //     url: '/pages/shop/index'
  //   });
  // }
  toactivity = (id) => {
 
    // console.log("this.state.data.dynamic.dynamicId")
    console.log(id)
    console.log(this.state.data.dynamic.dynamicId)
    Taro.navigateTo({
      // url: '/pages/activity/detail/index?id=' + item.id`/pages/card/list/index?buildingId=${this.$router.params.buildingId}`
      url: '/pages/activity/detail/index',
      query: {
        id: id
      }
    })
  }

  render () {
    
    // const { data = { person: {}, dynamic: {} }, style } = this.props
    // console.log("data"  ,this.data)
    return (
      <View className="checkin" style="width:100vw;height:100vh;" >

        {/* <checkinsuccess></checkinsuccess> */}
        {/* <achievePhone></achievePhone> */}
        <View>
          <Image className="img" src={this.state.data.dynamic.imgUrl}  ></Image>
        </View>
        <View style="margin-bottom:20px"  >
          <View className="text1"> <Text>{this.state.data.dynamic.title}</Text></View>
        </View >

        
        

        {this.state.data.enlist.enlistId != null && <View>
          <View style="text-align: center;display:inline-block;width:100vw;">
            <View style="text-align: center;display:inline-block;" className="line">- - - - - - - - - - - - - -   </View>
            <View style="display:inline-block;" className="text2">活动报名信息</View>
            <View style="text-align: center;display:inline-block;" className="line">- - - - - - - - - - - - -  </View>
          </View>

          <View className="text3">
            <View className='at-row'>
              <View className='at-col at-col-3'>用户名：</View>
              <View className='at-col at-col-9'>{this.state.data.person.name || this.state.data.person.nickname}</View>
            </View>
            <View className='at-row'>
              <View className='at-col at-col-3'>手机号：</View>
              <View className='at-col at-col-9'>{this.state.data.person.tel || this.state.data.person.phone}</View>
            </View>
            <View className='at-row'>
              <View className='at-col at-col-3'>参与人数：</View>
              <View className='at-col at-col-9'>{(this.state.data.enlist.attendNum || 1)}人</View>
            </View>
          </View>

          {this.state.data.enlist.isCheckin === 0 && <Image className="checkinImg" src={require('@assets/checkin/checkin.png')} onClick={this.checkinActive}   ></Image>}
          {this.state.data.enlist.isCheckin === 1 && <Image className="checkinImg" src={require('@assets/checkin/checkined.png')}></Image>}
          {/* {console.log(data.person.status)} */}
        </View>}
        {this.state.data.enlist.enlistId == null && <View className="unregistered">
        {this.state.data.dynamic.activityStatus === 1 && <View style="text-align: center;color:#666666">
          活动未开始
        </View>
          }
          {this.state.data.dynamic.activityStatus === 2 && <View style="text-align: center;color:#666666">
          活动已结束
        </View>
          }

{this.state.data.dynamic.activityStatus === 0 && <View>
          <View>
            <Image className="img1" src={require('@assets/checkin/noentry.png')} ></Image>
          </View>
          <View className="message">
            <Text className="messageText" >您还未报名当前活动,请先前往活动报名页报名成功后再进行扫码签到~ </Text>

          </View>

          <AtButton type='primary' className="toactivebutton" onClick={() => { this.toactivity(this.state.data.dynamic.dynamicId) }}>立即前往</AtButton>
        </View>
          }
          
        
        </View>
      }
      </View>

    );
  }
}